OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.DrawVulkanImage

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVDrawVulkanImage :: MonadIO m => m Bool
- gl_NV_draw_vulkan_image :: Bool
- glDrawVkImageNV :: MonadIO m => GLuint64 -> GLuint -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glGetVkProcAddrNV :: MonadIO m => Ptr GLchar -> m GLVULKANPROCNV
- glSignalVkFenceNV :: MonadIO m => GLuint64 -> m ()
- glSignalVkSemaphoreNV :: MonadIO m => GLuint64 -> m ()
- glWaitVkSemaphoreNV :: MonadIO m => GLuint64 -> m ()

# Extension Support

glGetNVDrawVulkanImage :: MonadIO m => m Bool Source #

Is the NV_draw_vulkan_image extension supported?

gl_NV_draw_vulkan_image :: Bool Source #

Is the NV_draw_vulkan_image extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVDrawVulkanImage` in those cases instead.

# Functions

glDrawVkImageNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `vkImage`.
-> GLuint | `sampler`.
-> GLfloat | `x0`.
-> GLfloat | `y0`.
-> GLfloat | `x1`.
-> GLfloat | `y1`.
-> GLfloat | `z`.
-> GLfloat | `s0`.
-> GLfloat | `t0`.
-> GLfloat | `s1`.
-> GLfloat | `t1`.
-> m () |

glGetVkProcAddrNV Source #

Arguments

:: MonadIO m |
=> Ptr GLchar | `name` pointing to `COMPSIZE(name)` elements of type `GLchar`.
-> m GLVULKANPROCNV |

glSignalVkFenceNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `vkFence`.
-> m () |

glSignalVkSemaphoreNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `vkSemaphore`.
-> m () |

glWaitVkSemaphoreNV Source #

Arguments

:: MonadIO m |
=> GLuint64 | `vkSemaphore`.
-> m () |